Changelog for March 6, 2026
-
Tasking API:
POST /tasking/v2/tasksandPOST /tasking/v2/feasibility— you can now request automated derivative products (Detect & Classify) when creating tasks or checking feasibility by specifying thederivativeProductTypesparameter. The supported derivative type isDC-ATR(Automated Target Recognition). Derivatives require a high-resolution spotlight imaging mode andGRDin theproductTypesarray. -
Tasking API:
GET /tasking/v2/tasks/{taskID}/derivatives— new endpoint to retrieve derivative products for a task. Returns200when all derivatives are available,206when partially available, and404when none are ready yet. Each derivative includes signed download URLs for the detection result files (GeoJSON).